次期リリースバージョンのiHatenaSyncについて

来年の3月以降、はてなのAPIはOAuth認証を使わないと使えなくなるので、それまでにはiHatenaSyncの対応バージョンをリリースしようと思っています。

はてなブログAtomPub/はてなフォトライフAtomAPI/はてなグラフAPIが、OAuth認証に対応しました。また、はてな各種APIのWSSE認証の認証方法を変更します(開発者向け) – はてなの日記 – 機能変更、お知らせなど

また来年二月以降はiOS7に最適化しないとAppleが審査を受け付けてくれない事もあって、iOS7対応も同時に進めています。

ただ私は今PressSyncという有料アプリの開発も同時に進めていて、iHatenaSyncにかける事の出来る工数はそれ程なく…

というわけで、継続的にメンテをしないといけないような機能でかつ利用者の少ない(と思われる)機能は一旦削除します。

* AppLinkMaker
* はてな記法のスニペット呼び出し
* AtokPAD連携

要望が多ければ復活するかもしれません。

正直、はてなのOAuth認証が怪しげな動きなので、HatenaSyncシリーズの命運はここで尽きるかもしれませんが。

via PressSync

投稿者:

aroooy

I am a systems engineer freelance. I love digital devices such as smart phones. I make the iOS app by using the spare time.

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です